/**
 * Created by willian batista on 30/01/16.
 */

var UtilNumber = function() {
};

UtilNumber.prototype.formatMoneyJava = function(valor){
	var nf =  java.text.NumberFormat.getCurrencyInstance();
	return nf.format(valor).replace('R$ ','');
};

Number.prototype.formatMoneyJS = function(places, symbol, thousand, decimal) {
	places = !isNaN(places = Math.abs(places)) ? places : 2;
	symbol = symbol !== undefined ? symbol : "$";
	thousand = thousand || ",";
	decimal = decimal || ".";
	var number = this, 
	    negative = number < 0 ? "-" : "",
	    i = parseInt(number = Math.abs(+number || 0).toFixed(places), 10) + "",
	    j = (j = i.length) > 3 ? j % 3 : 0;
	return symbol + negative + (j ? i.substr(0, j) + thousand : "") + i.substr(j).replace(/(\d{3})(?=\d)/g, "$1" + thousand) + (places ? decimal + Math.abs(number - i).toFixed(places).slice(2) : "");
};